/*
** Header
*/

header {
    width: 100%;
}
.general-info {
    background-color: #f4f4f4;
    padding: 10px 0;
}
.general-info .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.general-address {
    font-size: 15px;
}
.general-menu {
    display: flex;
    align-items: center;
    gap: 15px;
}
.general-menu a {
    font-size: 13px;
    color: var(--shadeOfBlack-color);
    transition: 0.5s;
}
.general-menu a:hover,
.general-contacts a:hover {
    color: var(--orange-color);
}
.general-contacts {
    display: flex;
    align-items: center;
    gap: 15px;
}
.general-contacts p {
    font-size: 13px;
}
.general-contacts a {
    font-size: 15px;
    font-weight: 600;
    color: var(--shadeOfBlack-color);
    transition: 0.5s;
}

.header-actions {
    padding: 15px 0 20px;
}
.header-actions .container {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.header-search {
    width: 60%;
    display: flex;
    align-items: center;
    gap: 20px;
}
.search-mobile-form {
    display: flex;
    width: 100%;
}
.search {
    position: relative;
    display: flex;
    width: 100%;
}
.search input,
.search-mobile-form input {
    width: 100%;
    border: 1px solid #d9d9d9;
    border-right: none;
    padding: 12px 15px;
    outline: none;
    font-size: 14px;
}
.search-btn {
    position: relative;
    width: 250px;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 14px;
}
.search-btn img {
    position: absolute;
    left: 10px;
}
.header-user-actions {
    display: flex;
    align-items: center;
}
.lang-phone {
    display: none;
}
.lang {
    position: relative;
}
.lang-desk {
    display: flex;
    gap: 20px;
    padding: 0 20px;
    border-left: 1px solid #d9d9d9;
    border-right: 1px solid #d9d9d9;
}
.lang-desk a,
.lang-mobile > span {
    min-width: 35px;
    width: 35px;
    height: 35px;
    border: 1px solid var(--black-color);
    border-radius: var(--border-rounded);
    font-size: 14px;
    font-weight: 600;
    color: var(--black-color);
    display: flex;
    align-items: center;
    justify-content: center;
    transition: 0.5s;
}
.lang-desk a:hover,
.lang-desk a.selected {
    color: var(--blue-color);
    border: 1px solid var(--blue-color);
}
.lang-mobile {
    position: relative;
    display: none;
    padding: 0 10px;
    border-right: 1px solid #d9d9d9;
}
.lang-dropdown {
    display: flex;
    position: absolute;
    top: 45px;
    left: 0;
    width: 100%;
    height: 0;
    min-height: 0;
    opacity: 0;
    flex-direction: column;
    align-items: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    background-color: var(--white-color);
    color: var(--shadeOfBlack-color);
    border-radius: 15px;
    overflow: hidden;
    transition: all 0.5s;
    z-index: 50;
}
.lang-dropdown a {
    width: 100%;
    height: 100%;
    text-align: center;
    color: var(--darkGray-color);
    font-size: 16px;
    padding: 10px 0;
    transition: 0.5s;
}
.lang-dropdown a:first-child {
    border-top-left-radius: var(--border-radius-1);
    border-top-right-radius: var(--border-radius-1);
}
.lang-dropdown a:last-child {
    border-bottom-left-radius: var(--border-radius-1);
    border-bottom-right-radius: var(--border-radius-1);
}
.lang-dropdown a:hover {
    background-color: var(--blue-color);
    color: var(--white-color);
}
.lang-block {
    display: flex;
}
.floating-actions {
    display: flex;
    align-items: center;
    padding-left: 20px;
    gap: 15px;
    height: 50px;
}
.action.home {
    display: none;
}
.action {
    border-right: 1px solid #d9d9d9;
    padding-right: 20px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.heart svg path,
.action svg path,
.shopping-cart svg path {
    transition: 0.5s;
}
.heart:hover svg path,
.action:hover svg path,
.shopping-cart:hover svg path {
    fill: var(--orange-color);
}
.heart {
    border-right: 1px solid #d9d9d9;
    padding-right: 20px;
    height: 35px;
    display: flex;
    align-items: center;
    justify-content: center;
}
.heart a {
    position: relative;
}
.circle {
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 20px;
    height: 20px;
    font-size: 9px;
    background-color: var(--orange-color);
    border-radius: var(--border-rounded);
    color: var(--white-color);
}
.action {
    a {
        position: relative;
    }
}
.heart .circle {
    top: -12px;
    right: -12px;
}
.action .circle {
    top: -5px;
    right: -7px;
}
.basket {
    display: flex;
    align-items: center;
    gap: 20px;
}
.basket a {
    color: #383e42;
}
.shopping-cart {
    position: relative;
}
.shopping-cart .circle {
    top: -5px;
    right: -8px;
}
.basket-price span {
    font-size: 10px;
}
.basket-price p {
    font-size: 14px;
    font-weight: 600;
}
.lines {
    position: relative;
    display: none;
    flex-direction: column;
    justify-content: space-between;
    height: 35px;
    margin-left: 10px;
    padding-right: 10px;
    border-right: 1px solid #d9d9d9;
    z-index: 200;
    cursor: pointer;
    transition: 0.5s;
}
.lines.active {
    border-right: 1px solid transparent;
}
.line {
    width: 100%;
    height: 2px;
    background-color: var(--shadeOfBlack-color);
    transition: 0.5s;
}
.line:nth-child(1).active {
    transform: rotate(45deg) translate(18px, 4px);
}
.line:nth-child(2).active {
    transform: rotate(-45deg) translate(5px, 10px);
}
.menu-line {
    font-size: 10px;
    transition: 0.5s;
}
.menu-line.active {
    transform: translateX(20px);
    opacity: 0;
}

/* Hamburger */
.sidebarMenu {
    position: fixed;
    right: 0;
    height: 100%;
    width: 450px;
    background: #fff;
    box-shadow: 0px 3px 7px 0px rgba(0, 0, 0, 0.1);
    padding: 10px;
    z-index: 150;
    transform: translate(100%, 0);
    transition: all 0.3s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    -webkit-transition: all 0.3s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    overflow: hidden;
}
.menuOpen .sidebarMenu {
    transform: translate(0, 0);
    transition: all 0.3s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    -webkit-transition: all 0.3s cubic-bezier(0.29, 0.39, 0.68, 0.53);
}
body.menuOpen {
    overflow: hidden;
}
.menu-content {
    position: relative;
    color: var(--darkGray-color);
    z-index: 100;
    padding: 10px 15px 0;
    height: 100%;
    display: flex;
    flex-direction: column;
}
.headphones {
    width: 200px;
    font-size: 16px;
    padding-bottom: 15px;
    display: flex;
    align-items: center;
    gap: 15px;
    color: var(--shadeOfBlack-color);
    font-weight: 600;
}
.hamburger-menu {
    width: 100%;
    display: flex;
    flex-direction: column;
}
.ham-link a {
    width: 100%;
    font-size: 16px;
    font-weight: 500;
    color: var(--shadeOfBlack-color);
    padding: 15px 0;
    border-bottom: 1px solid #d9d9d9;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.ham-link:first-of-type a {
    border-top: 1px solid #d9d9d9;
}
.menu_overlay {
    display: none;
    position: fixed;
    background: rgba(0, 0, 0, 0.2);
    top: 0%;
    left: 0%;
    width: 100%;
    height: 100%;
    z-index: 150;
}
.menuOpen .menu_overlay {
    display: block;
}
.categories-block {
    position: relative;
    border-bottom: 1px solid #d9d9d9;
}
.categories-block .container {
    display: flex;
    justify-content: space-between;
    align-items: start;
}
.categories-btn {
    display: flex;
    gap: 10px;
    cursor: pointer;
    padding-bottom: 25px;
}
.categories-btn p {
    font-size: 16px;
}
.categories-lines {
    width: 40px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.cat-line {
    width: 100%;
    height: 2px;
    background-color: var(--shadeOfBlack-color);
}
.cat-line:nth-child(2) {
    width: 20px;
    transition: 0.5s;
}
.categories-btn .chevron {
    transition: 0.5s;
}
.categories-btn .chevron.active {
    transform: rotate(180deg);
}
.categories-btn .cat-line:nth-child(2).active {
    transform: translateX(19px);
}
body.catActive {
    overflow: hidden;
}
.visible-categories {
    width: 80%;
    display: flex;
    justify-content: space-between;
}
.visible-categories a {
    font-size: 16px;
    color: var(--shadeOfBlack-color);
    transition: 0.5s;
}
.visible-categories a:hover {
    color: var(--orange-color);
}

/* Nav */
.mega-box {
    position: absolute;
    top: 20px;
    background-color: var(--white-color);
    color: var(--shadeOfBlack-color);
    width: 100%;
    left: 0;
    height: 0;
    transition: all 0.5s ease;
    opacity: 0;
    overflow: hidden;
    z-index: 100;
}
.categories-nav .mega-box.active {
    top: 40px;
    opacity: 1;
    border-top: 1px solid #d9d9d9;
    border-bottom: 1px solid #d9d9d9;
    transition: all 0.5s ease;
    height: 90vh;
}
.mega-box::after {
    position: absolute;
    content: '';
    top: 60px;
    left: 0;
    height: 1px;
    width: 100%;
    background-color: #d9d9d9;
}
.mega-row {
    width: calc(25% - 30px);
    border-right: 1px solid #d9d9d9;
    padding-left: 15px;
}
.mega-row.onMobile {
    display: none;
}
.mega-row:first-child {
    padding-left: 0;
}
.mega-row:last-child {
    border-right: 1px solid transparent;
}
.mega-title {
    font-size: 18px;
    font-weight: 500;
    height: 50px;
    color: var(--shadeOfBlack-color);
    transition: 0.5s;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding-top: 10px;
}
.mega-title:hover,
.mega-link a:hover {
    color: var(--orange-color);
}
.nav_title {
    display: flex;
    align-items: center;
    gap: 10px;
}
.nav-svg {
    width: 35px;
    height: 35px;
    flex-shrink: 0;
    svg {
        width: 100%;
        height: 100%;
        fill: var(--blue-color);
        .cls-1 {
            fill: inherit;
        }
    }
}
.nav-svg path {
    transition: 0.5s;
}
.mega-title:hover .nav-svg path {
    fill: var(--orange-color);
}
.mega-link {
    padding-bottom: 15px;
}
.mega-link a {
    font-size: 14px;
    color: var(--shadeOfBlack-color);
    transition: 0.5s;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.nav-arrow {
    display: none;
}
.mega-links {
    padding: 25px 15px 0 0;
    transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    -webkit-transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    background-color: var(--white-color);
    height: 450px;
    width: 100%;
}
.mega-links.open {
    top: 0;
    visibility: visible;
    z-index: 20;
    width: 100%;
    height: 500px;
    transform: translate(0, 0);
    transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    -webkit-transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    z-index: 1000;
}
.back-btn {
    display: none;
    align-items: center;
    gap: 40px;
    padding: 15px 30px;
    border-bottom: 1px solid #d4d4d4;
    font-size: 18px;
    font-weight: 600;
    color: var(--shadeOfBlack-color);
}
.mobile-search {
    display: none;
    height: auto;
    padding: 5px 15px;
    width: 160px;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
    font-size: 12px;
    color: var(--gray-color);
    background-color: transparent;
    border: 1px solid #d9d9d9;
}
.mobile-search img {
    width: 20px;
}
.mobile-search-block {
    position: fixed;
    top: 0;
    right: 0;
    width: 100%;
    height: 100%;
    padding: 25px 0;
    background-color: var(--white-color);
    z-index: 500;
    display: flex;
    flex-direction: column;
    gap: 25px;
    visibility: hidden;
    overflow: hidden;
    transform: translate(100%, 0);
    transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    -webkit-transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
}
.mobile-search-block.open {
    visibility: visible;
    transform: translate(0, 0);
    transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    -webkit-transition: all 0.5s cubic-bezier(0.29, 0.39, 0.68, 0.53);
    z-index: 1000;
    overflow: scroll;
}
.search-close {
    align-self: end;
    padding-right: 30px;
}
.search-mobile-form {
    padding: 0 30px;
}
.search-mobile-result h3 {
    padding: 0 30px 15px;
    border-bottom: 1px solid #d9d9d9;
}
.result-products {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}
.result-products .result-product {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
    padding: 10px 30px;
    border-bottom: 1px solid #d9d9d9;
    color: var(--shadeOfBlack-color);
}
.result-product img {
    min-width: 70px;
    width: 70px;
    height: 70px;
    object-fit: cover;
}
.result-title {
    display: flex;
    align-items: center;
    gap: 15px;
}

.real-price {
    font-weight: 600;
    font-size: 16px;
    padding-bottom: 10px;
}
.old-price {
    position: relative;
    color: var(--gray-color);
    font-size: 12px;
}
.old-price::after {
    position: absolute;
    content: '';
    top: 50%;
    left: 0;
    transform: translateY(-50%);
    width: 100%;
    height: 1px;
    background-color: var(--gray-color);
}

.search-box-result {
    width: 100%;
    display: none;
    flex-direction: column;
    position: absolute;
    left: 0;
    top: 50px;
    background-color: #fff;
    padding: 15px;
    z-index: 9;
    box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.1);
}
.search-box-result h3 {
    border-bottom: 1px solid #d9d9d9;
    padding-bottom: 15px;
}
.search-box-result a {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 15px;
    padding: 10px 0 10px !important;
    border-bottom: 1px solid #d9d9d9;
    color: var(--shadeOfBlack-color);
}
.search-box-result a:last-child {
    border-bottom: none;
    padding-bottom: 0;
}
.search-box-result a:hover {
    background-color: #f5f5f5;
}
.search-box-result h6 {
    margin-bottom: 0;
    font-size: 14px;
}
.search-box-result .search-product-img {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 50px;
    height: 50px;
    margin-right: 10px;
}
.search-box-result .search-product-img img {
    max-width: 100%;
    max-height: 40px;
}

.no-products {
    width: 100%;
    border-bottom: 1px solid var(--gray-color);
    border-right: 1px solid var(--gray-color);
    grid-column: span 4;
    text-align: center;
    padding: 25px;
}
.no-products p {
    width: 100%;
}

.mega-title:hover .nav-svg .svg-thin path {
    fill: none;
    stroke: var(--orange-color);
}

.svg-thin path {
    stroke: var(--blue-color);
    stroke-width: 0.7px;
}

.mega-title .nav-svg:not(.notcolor) path {
    fill: #034ea2;
}

.sub_mega-links {
    display: none;
}

.sub_mega-links li {
    padding-left: 30px;
}

@media (max-width: 993px) {
    .sub_mega-links li {
        padding-left: 50px;
    }
}
